summaryrefslogtreecommitdiffstats
path: root/source/tcl/hfsutils/hfsutils.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl/hfsutils/hfsutils.SlackBuild')
-rwxr-xr-xsource/tcl/hfsutils/hfsutils.SlackBuild145
1 files changed, 145 insertions, 0 deletions
diff --git a/source/tcl/hfsutils/hfsutils.SlackBuild b/source/tcl/hfsutils/hfsutils.SlackBuild
new file mode 100755
index 000000000..7a813e99e
--- /dev/null
+++ b/source/tcl/hfsutils/hfsutils.SlackBuild
@@ -0,0 +1,145 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=hfsutils
+VERSION=${VERSION:-3.2.6}
+ARCH=${ARCH:-x86_64}
+NUMJOBS=${NUMJOBS:-" -j7 "}
+BUILD=${BUILD:-4}
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.gz || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+zcat $CWD/hfsutils.errno.diff.gz | patch -p1 --verbose || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --with-tcl=/usr/lib${LIBDIRSUFFIX} \
+ --with-tk=/usr/lib${LIBDIRSUFFIX} \
+ --enable-devlibs \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make || exit 1
+make hfsck/hfsck || exit 1
+
+mkdir -p $PKG/usr/{bin,include,man/man1} $PKG/usr/lib${LIBDIRSUFFIX}
+make BINDEST=$PKG/usr/bin \
+ LIBDEST=$PKG/usr/lib${LIBDIRSUFFIX} \
+ INCDEST=$PKG/usr/include \
+ MANDEST=$PKG/usr/man \
+ install install_lib
+install -m0755 hfsck/hfsck $PKG/usr/bin
+ln -sf hfsck $PKG/usr/bin/fsck.hfs
+
+# Get rid of all the hard links:
+( cd $PKG
+ ( cd usr/bin ; rm -rf hattrib )
+ ( cd usr/bin ; ln -sf hmount hattrib )
+ ( cd usr/bin ; rm -rf hcd )
+ ( cd usr/bin ; ln -sf hmount hcd )
+ ( cd usr/bin ; rm -rf hcopy )
+ ( cd usr/bin ; ln -sf hmount hcopy )
+ ( cd usr/bin ; rm -rf hdel )
+ ( cd usr/bin ; ln -sf hmount hdel )
+ ( cd usr/bin ; rm -rf hdir )
+ ( cd usr/bin ; ln -sf hmount hdir )
+ ( cd usr/bin ; rm -rf hformat )
+ ( cd usr/bin ; ln -sf hmount hformat )
+ ( cd usr/bin ; rm -rf hls )
+ ( cd usr/bin ; ln -sf hmount hls )
+ ( cd usr/bin ; rm -rf hmkdir )
+ ( cd usr/bin ; ln -sf hmount hmkdir )
+ ( cd usr/bin ; rm -rf hpwd )
+ ( cd usr/bin ; ln -sf hmount hpwd )
+ ( cd usr/bin ; rm -rf hrename )
+ ( cd usr/bin ; ln -sf hmount hrename )
+ ( cd usr/bin ; rm -rf hrmdir )
+ ( cd usr/bin ; ln -sf hmount hrmdir )
+ ( cd usr/bin ; rm -rf humount )
+ ( cd usr/bin ; ln -sf hmount humount )
+ ( cd usr/bin ; rm -rf hvol )
+ ( cd usr/bin ; ln -sf hmount hvol )
+)
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.*
+ )
+ done
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ CHANGES COPYING COPYRIGHT CREDITS INSTALL README TODO \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+